Bug 1796468 - simplified telemetry metrics configuration is not active
Summary: simplified telemetry metrics configuration is not active
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Frederic Branczyk
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-30 13:51 UTC by Sergiusz Urbaniak
Modified: 2020-05-04 11:28 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:28:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 633 None closed Bug 1796468: *: Complete new configuration scheme 2020-07-01 09:24:14 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:28:20 UTC

Description Sergiusz Urbaniak 2020-01-30 13:51:24 UTC
With https://github.com/openshift/cluster-monitoring-operator/pull/617 we merged an A/B flag for Prometheus Remote Write with telemeter-client being still the default.

Alongside we also switched over to the simplified metrics configuration scheme but did it is not active yet. This needs to be fixed.

Comment 3 Lili Cosic 2020-02-03 12:41:31 UTC
Can you check that the cluster is sending telemetry. So the normal telemetry check, let me know if you have any questions, thanks!

Comment 4 Junqi Zhao 2020-02-04 00:42:27 UTC
(In reply to Lili Cosic from comment #3)
> Can you check that the cluster is sending telemetry. So the normal telemetry
> check, let me know if you have any questions, thanks!

see Comment 2, telemeter client can send metrics to server.
close this bug as VERIFIED

Comment 6 errata-xmlrpc 2020-05-04 11:28:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.